- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::Server::Config Struct Reference

A structure containing GSmtp::Server configuration parameters. More...

`#include <gsmtpserver.h>`

## Public Member Functions
| Config (bool, unsigned int, const AddressList &, const std::string &, bool, const std::string &, unsigned int, const std::string &, unsigned int, bool)

## Public Attributes
bool | allow_remote
unsigned int | port
AddressList | interfaces
std::string | ident
bool | anonymous
std::string | processor_address
unsigned int | processor_timeout
std::string | verifier_address
unsigned int | verifier_timeout
bool | use_connection_lookup

## Detailed Description

A structure containing GSmtp::Server configuration parameters.

Definition at line 99 of file gsmtpserver.h.

## Constructor & Destructor Documentation

GSmtp::Server::Config::Config | ( | bool | allow_remote_,
|  | unsigned int | port_,
|  | const AddressList & | interfaces_,
|  | const std::string & | ident_,
|  | bool | anonymous_,
|  | const std::string & | processor_address_,
|  | unsigned int | processor_timeout_,
|  | const std::string & | verifier_address_,
|  | unsigned int | verifier_timeout_,
|  | bool | use_connection_lookup_
| ) |  |

Definition at line 238 of file gsmtpserver.cpp.

## Member Data Documentation

bool GSmtp::Server::Config::allow_remote

Definition at line 101 of file gsmtpserver.h.

bool GSmtp::Server::Config::anonymous

Definition at line 106 of file gsmtpserver.h.

std::string GSmtp::Server::Config::ident

Definition at line 105 of file gsmtpserver.h.

AddressList GSmtp::Server::Config::interfaces

Definition at line 103 of file gsmtpserver.h.

unsigned int GSmtp::Server::Config::port

Definition at line 102 of file gsmtpserver.h.

std::string GSmtp::Server::Config::processor_address

Definition at line 108 of file gsmtpserver.h.

unsigned int GSmtp::Server::Config::processor_timeout

Definition at line 109 of file gsmtpserver.h.

bool GSmtp::Server::Config::use_connection_lookup

Definition at line 114 of file gsmtpserver.h.

std::string GSmtp::Server::Config::verifier_address

Definition at line 111 of file gsmtpserver.h.

unsigned int GSmtp::Server::Config::verifier_timeout

Definition at line 112 of file gsmtpserver.h.

The documentation for this struct was generated from the following files:

- gsmtpserver.h
- gsmtpserver.cpp